## plasma-bigscreen 5.27.3

=== debian/changelog ===
plasma-bigscreen (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:07 +0000

plasma-bigscreen (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:52 +0000

plasma-bigscreen (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:34 +0000

plasma-bigscreen (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:36 +0000

plasma-bigscreen (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (5.26.90)
  * Update rename_python_script_to_drop_extension.patch

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:31 +0000

plasma-bigscreen (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)
  * Drop runtime depend on non-existent plasma-settings package.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Jan 2023 19:21:34 +0000

plasma-bigscreen (5.26.4-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * New upstream release. ( 5.26.4 ) Closes: #1026901
  * Update Copyright file 2022.
  * Add upstream metadata.
  * Change maintainer to Qt/KDE group and add myself as uploader.
  * Update VCS entries.
  * Enhance Description.
  * Add hardening=+all to build flags in rules.
  * Bump standards version (4.6.1), no changes needed.
  * Add patch to rename python script to drop extension.
  * Export minimal gpg signing-key asc file.
  * Add runtime dependency for python3.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 27 Dec 2022 09:03:49 -0700

plasma-bigscreen (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:52:44 +0000

plasma-bigscreen (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:50:47 +0000

plasma-bigscreen (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:30:43 +0000

plasma-bigscreen (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:06:44 +0000

plasma-bigscreen (5.25.80-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:26:01 +0000
