=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5windowsystem-dev (>= 5.94~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.3~),
+               plasma-workspace-dev (>= 4:5.27.4~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
