## plasma-bigscreen 5.27.5

=== debian/changelog ===
plasma-bigscreen (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:47 +0200

plasma-bigscreen (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:20 +0200

plasma-bigscreen (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:20:22 +0100

plasma-bigscreen (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:37 +0100

plasma-bigscreen (5.27.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Feb 2023 21:54:19 +0100

plasma-bigscreen (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Refresh patch rename_python_script_to_drop_extension.patch.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Jan 2023 00:21:27 +0100

plasma-bigscreen (5.26.4-2) unstable; urgency=medium


  [ Scarlett Moore ]
  * Change plasma-settings to plasma-workspace as plasma-settings
    is aimed for plasma-mobile.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 21 Jan 2023 07:28:00 -0700
