=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-bigscreen
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -21,14 +22,14 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.5~),
+               plasma-workspace-dev (>= 4:5.27.8~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/plasma-bigscreen
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
 Rules-Requires-Root: no
 
 Package: plasma-bigscreen
