=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.8~),
+               plasma-workspace-dev (>= 4:5.27.10~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
