=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: plasma-bigscreen
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -22,14 +21,14 @@
                libkf5windowsystem-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.16),
                plasma-framework,
-               plasma-workspace-dev (>= 4:5.27.10~),
+               plasma-workspace-dev (>= 4:5.27.11~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtmultimedia5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-bigscreen
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-bigscreen
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-bigscreen.git
 Rules-Requires-Root: no
 
 Package: plasma-bigscreen
