=== components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Devin Lin  <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(bigscreenplugin)
