=== debian/control ===
Source: plasma-bigscreen
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-bluez-qt-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-ksvg-dev,
               kf6-kwindowsystem-dev,
               kwayland-dev,
               libkf6screen-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-workspace-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-bigscreen
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-bigscreen.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-bigscreen
Maintainer: Neon CI <neon@kde.org>

Package: plasma-bigscreen
Architecture: any
Depends: kdeconnect,
         libplasma6,
         plasma-nano,
         plasma-nm,
         plasma-settings,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Bigscreen Edition
 Plasma for your television
