=== bin/CMakeLists.txt ===
--- 
+++ 
@@ -22,3 +22,8 @@
 	${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-swap-session.desktop
 	DESTINATION ${KDE_INSTALL_APPDIR}
 )
+
+# Dev session for Plasma developers
+configure_file(plasma-bigscreen-wayland-dev.in ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland-dev)
+configure_file(plasma-bigscreen-wayland-dev.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-bigscreen-wayland-dev.desktop)
+configure_file(install-sessions.sh.cmake ${CMAKE_CURRENT_BINARY_DIR}/install-sessions.sh)
