=== containments/homescreen/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2024 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(plugin)

plasma_install_package(package org.kde.bigscreen.homescreen)
