=== debian/changelog ===
plasma-bigscreen (6.0.0+p24.04+vunstable+git20260129.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:52:56 +0000
