=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                kwayland-dev,
                libkf6screen-dev,
                libplasma-dev,
+               libsdl3-dev,
                pkg-kde-tools-neon,
                plasma-activities-dev,
                plasma-activities-stats-dev,
