=== components/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 
 add_subdirectory(bigscreenplugin)
+add_subdirectory(bigscreenshell)
+add_subdirectory(controllerhandler)
