=== kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 Marco Martin <mart@kde.org>
# SPDX-FileCopyrightText: 2019 Aditya Mehra <aix.m@outlook.com>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(audio-device-chooser)
add_subdirectory(wifi)
add_subdirectory(kdeconnect)
add_subdirectory(bigscreen-settings)
add_subdirectory(display)
add_subdirectory(wallpaper)
add_subdirectory(webapps)
add_subdirectory(bluetooth)
