=== settingsapp/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,8 @@
     KF6::KCMUtils
     KF6::IconThemes
     KF6::I18nQml
+    KF6::WindowSystem
+    KF6::DBusAddons
 )
 
 install(TARGETS plasma-bigscreen-settings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
