=== sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Noah Davis <noahdvs@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

install(DIRECTORY plasma-bigscreen DESTINATION ${KDE_INSTALL_SOUNDDIR})
