=== components/bigscreenplugin/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,6 @@
     qml/controls/Dialog.qml
     qml/controls/DialogButtonBox.qml
     qml/controls/ItemDelegate.qml
-    qml/controls/OverlayWindow.qml
     qml/controls/PopupBackground.qml
     qml/controls/SidebarOverlay.qml
     qml/controls/SidebarOverlayHeader.qml
@@ -36,12 +35,7 @@
     qml/controls/Units.qml
     qml/AbstractDelegate.qml
     qml/FullScreenOverlay.qml
-    qml/IconDelegate.qml
     qml/NavigationSoundEffects.qml
-    qml/TaskDelegate.qml
-    qml/TileListView.qml
-    qml/TileRepeater.qml
-    qml/TileView.qml
 )
 
 target_link_libraries(bigscreenplugin
