=== debian/changelog ===
plasma-bigscreen (6.0.0+p24.04+vunstable+git20260130.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:19:58 +0000
